Subject: bug#24205: 25.1.50; Re-display issue (lag) when opening certain files [sml-mode]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Aug 2016 20:22:05 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Thu, 11 Aug 2016 17:03:44 +0000
> Cc: Stefan Monnier <[email-masked]>, Eli Zaretskii <[email-masked]>
> 
> Below code easily recreates the issue on emacs -Q on the latest master build of emacs as of now
> (2e0a2b3).
> 
> Please evaluate the macro definition and the macro call form below.
> 
> In short, this will install the sml-mode package from GNU Elpa to the temporary-file-directory for your system,
> and also generate a test .sml file that happened to show this issue. I do not see this lag on opening other .sml
> files. For some reason, this .sml file (that the below example creates) has ONLY comments and that causes
> emacs to stall for 10's of seconds. 

I'd prefer not to install anything.  I do have the Git repo for ELPA,
though.  So could you please modify your recipe so that the required
packages are loaded from the Git repo (by modifying load-path), and
then the rest is done as needed?

Better yet, just post the file that causes the trouble, there's no
need for everybody to recreate it, right?

Thanks.